Subject: bug#66987: Recursive git checkout broken?

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Tue, 07 Nov 2023 16:44:05 +0100

Hi,

I tried to upgrade m2-planet to 1.10.0 (well, actually I tried to
downgrade from 1.11.0 which cannot build mes, as reported by apterix via
IRC) using this description

--8<---------------cut here---------------start------------->8---
(define-public m2-planet-1.10.0
  (package
    (inherit m2-planet)
    (name "m2-planet")
    (version "1.10.0")
    (native-inputs (list coreutils mescc-tools sed))
    (source (origin
              (method git-fetch)
              (uri (git-reference
                    (url "https://github.com/oriansj/m2-planet")
                    (commit (string-append "Release_" version))
                    (recursive? #t)))   ;for M2libc
              (file-name (git-file-name name version))
              (sha256
               (base32
                "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"))))))
--8<---------------cut here---------------end--------------->8---

but that fails with

--8<---------------cut here---------------start------------->8---
Initialized empty Git repository in /gnu/store/2janx5qgr2lv0hm5czzhiff4yz9p0nmg-m2-planet-1.10.0-checkout/.git/
>From https://github.com/oriansj/m2-planet
 * tag               Release_1.10.0 -> FETCH_HEAD
Note: switching to 'FETCH_HEAD'.

You are in 'detached HEAD' state. You can look around, make experimental
changes and commit them, and you can discard any commits you make in this
state without impacting any branches by switching back to a branch.

If you want to create a new branch to retain commits you create, you may
do so (now or later) by using -c with the switch command. Example:

  git switch -c <new-branch-name>

Or undo this operation with:

  git switch -

Turn off this advice by setting config variable advice.detachedHead to false

HEAD is now at c9b9920 Release_1.10.0
/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 7: basename: command not found
/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 7: sed: command not found
/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-sh-setup: line 77: basename: command not found
/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-sh-setup: line 77: sed: command not found
/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-sh-setup: line 292: uname: command not found
/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 613: sed: command not found
/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/libexec/git-core/git-submodule: line 613: cmd_: command not found
git-fetch: '/gnu/store/y3vdq2pdkljrw63xxnc2vb6lz07ycar6-git-minimal-2.41.0/bin/git submodule update --init --recursive' failed with exit code 127
Trying content-addressed mirror at bordeaux.guix.gnu.org...
Unable to fetch from bordeaux.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://bordeaux.guix.gnu.org/nar/lzip/2janx5qgr2lv0hm5czzhiff4yz9p0nmg-m2-planet-1.10.0-checkout 404 Not Found) #f)
Trying content-addressed mirror at ci.guix.gnu.org...
Unable to fetch from ci.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://ci.guix.gnu.org/nar/lzip/2janx5qgr2lv0hm5czzhiff4yz9p0nmg-m2-planet-1.10.0-checkout 404 Not Found) #f)
Trying content-addressed mirror at bordeaux.guix.gnu.org...
Unable to fetch from bordeaux.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://bordeaux.guix.gnu.org/nar/2janx5qgr2lv0hm5czzhiff4yz9p0nmg-m2-planet-1.10.0-checkout 404 Not Found) #f)
Trying content-addressed mirror at ci.guix.gnu.org...
Unable to fetch from ci.guix.gnu.org, misc-error: (#f download failed ~S ~S ~S (http://ci.guix.gnu.org/nar/2janx5qgr2lv0hm5czzhiff4yz9p0nmg-m2-planet-1.10.0-checkout 404 Not Found) #f)
--8<---------------cut here---------------end--------------->8---

Ideas?

I reverted to m2-planet-1.9.0 as that will also build mes, and we've got
its source already built...

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com